Summary: NetWinder-specific utility programs
%define name nwutil
%define version 1.8
Name: %{name}
Version: %{version}
Release: 1
Group: System/Utilities
Source: %{name}-%{version}.tar.gz
Copyright: Freely distributable & usable (GPL)
Buildroot: /tmp/%{name}-%{version}

%description
A collection of NetWinder utilities such as setting the thermostat,
programming the flash, a low-level debugger.  Mostly written by
Woody Suwalski <woody@netwinder.org>

%changelog
* Wed Feb 01 2006 Ralph Siemsen <ralphs@netwinder.org> 1.8-1
- Add mknettrom.pl script for building kernel+initrd images
- debug renamed to nwdebug
- man pages moved to /usr/share/man/man8

* Sun Nov 20 2005 Ralph Siemsen <ralphs@netwinder.org> 1.7-1
- incorporate flashwrite, logoread, logowrite from nettrom
- update several utilities with Woody's latest patches
- overhaul makefiles

* Fri Mar 24 2000 Rod m. Stewart <stewart@netwinder.org> 1.6-1
- Remove References to Corel Computer
- update Copyright dates
- release 1.6

* Wed Oct 20 1999 Ralph Siemsen <ralphs@netwinder.org>
- Updated debug code to 2.2 version

* Wed Jan 20 1999 Woody Suwalski <woody@netwinder.org>
- Added big error message if the flash write fails.

* Sun Nov 8 1998 Ralph Siemsen <ralphs@netwinder.org>
- Additional man pages added, minor corrections to existing pages.

* Mon Nov 2 1998 Ralph Siemsen <ralphs@netwinder.org>
- Initial creation of the RPM

%prep
%setup -q -n %{name}-%{version}

%build
make

%install
DESTDIR=$RPM_BUILD_ROOT make install

%clean
rm -rf $RPM_BUILD_ROOT

%post
mknod -m 666 /dev/temperature c 10 131
mknod -m 600 /dev/watchdog c 10 130
mknod -m 600 /dev/nwflash c 10 160

%preun
rm -f /dev/temperature
rm -f /dev/watchdog
rm -f /dev/nwflash

%files
%defattr(-,root,root)
/usr/bin/*
/usr/sbin/*
/usr/share/man/man1/*
/usr/share/man/man8/*
%doc README welcome.au tools/NW_Rebel.gif
